Subject: Re: license with patent grants appropriate for specifications?

From: [email-masked]
Date: Wed, 12 Jan 2005 16:06:04 +0000

Bob - believe me I understand the legal issues. The issue is that currently the copyright statement allows for a number of "craftings" that alter it or change its content. 2026 for instance had three release statements in it, and those were used to constrain the publishing of thousands of documents, at both the RFC and the I-D level. The problem is that formal lincesning is now needed - 

By the way - what happens to those previously granted RFC's or Standards? Do they come under the new licensing model and if so how do you get those authors to agree to it? My take is that you dont. So that means that the IETF is doing a hard-left turn somewhere about IP submissions, and changes between what is a RFC and is not.

Todd

--
Regards,
Todd

This message (including any 
attachments) contains confidential 
information intended for a 
specific individual and purpose, 
and is protected by law. If you 
are not the intended recipient, 
you should delete this message. 
Any disclosure, copying, or 
distribution of this message, or 
the taking of any action based on 
it, is strictly prohibited. 

 -------------- Original message ----------------------
From: Bob Scheifler <[email-masked]>
> > Bob Larry - why not build a couple of OS licenses like the different
> > copyright statements available under the current RFC's.
> 
> In the relicensing effort that we (Sun) are currently undertaking
> for Jini technology (specifications and code), our number one
> requirement is to use an existing, commonly used and accepted
> open source license. I really, really don't want to invent a new
> license if I can possibly avoid it. Ideally, we'd like to use the
> same license for our specifications that we use for our code. The
> Apache License, Version 2.0 is a prime contender, but when used
> for specifications, I'm concerned that its patent license will
> not be construed as extending to implementations of the spec.
> 
> - Bob
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg